PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
PXMLObject Class Referenceabstract

`#include <pxml.h>`

Inheritance diagram for PXMLObject:
[legend]
Collaboration diagram for PXMLObject:
[legend]

## Public Member Functions
| PXMLObject (PXMLElement *par)
PXMLElement * | GetParent () const
PXMLObject * | GetNextObject () const
void | SetParent (PXMLElement *newParent)
PString | AsString () const
virtual void | Output (ostream &strm, const PXMLBase &xml, int indent) const =0
virtual PBoolean | IsElement () const =0
void | SetDirty ()
bool | IsDirty () const
virtual PXMLObject * | Clone (PXMLElement *parent) const =0
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes
PXMLElement * | parent
bool | dirty
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PXMLObject::PXMLObject | ( | PXMLElement * | par | ) |
| inline

References dirty.

## Member Function Documentation

PString PXMLObject::AsString | ( |  | ) | const

virtual PXMLObject* PXMLObject::Clone | ( | PXMLElement * | parent | ) | const
| pure virtual

Implemented in PXMLElement, and PXMLData.

PXMLObject* PXMLObject::GetNextObject | ( |  | ) | const

PXMLElement* PXMLObject::GetParent | ( |  | ) | const
| inline

References parent.

bool PXMLObject::IsDirty | ( |  | ) | const
| inline

References dirty.

virtual PBoolean PXMLObject::IsElement | ( |  | ) | const
| pure virtual

Implemented in PXMLElement, and PXMLData.

virtual void PXMLObject::Output | ( | ostream & | strm,
|  | const PXMLBase & | xml,
|  | int | indent
| ) |  | const
| pure virtual

Implemented in PXMLElement, and PXMLData.

void PXMLObject::SetDirty | ( |  | ) |

void PXMLObject::SetParent | ( | PXMLElement * | newParent | ) |
| inline

References parent, and PAssert.

## Member Data Documentation

bool PXMLObject::dirty
| protected

Referenced by IsDirty(), and PXMLObject().

PXMLElement* PXMLObject::parent
| protected

Referenced by GetParent(), and SetParent().

The documentation for this class was generated from the following file:

- pxml.h